Advanced
Copy Page
Anzenna Public API
How To Use the Anzenna Public API
AI Governance
Query all Shadow AI instances
POST
Get a Shadow AI instance by id
GET
Query all AI interactions
POST
Get an AI interaction by id
GET
List MCP servers
POST
Get an MCP server
GET
Query MCP server installations
POST
Investigation
Query all investigations
POST
Start an investigation
POST
Get an investigation by id
GET
Dismiss an investigation
POST
Get detection investigation prompts
GET
Get global investigation prompts
GET
Get user investigation prompts
GET
Query all risk registers
POST
Query all risk register catalog entries
POST
Identity
List accounts
POST
Get an account by id
GET
List login events
POST
Get a login event by ID
GET
Query all mfa statuses
POST
Get an MFA status by id
GET
Query all OAuth applications
POST
Get an OAuth application by id
GET
Query all OAuth application instances
POST
Query all password reuse instances
POST
Advanced
Execute an advanced query
POST
List security events
POST
Receive a webhook event
POST
Query raw events
POST
Detection
Query all allowlists
Create a new allowlist
Delete an allowlist
Update an allowlist
Get an anomaly by ID
Get key finding detections
Get detection details
List users associated with a given detection
Execute a remediation
Browser
Query all browser applications
Get a browser application by id
List browser application instances
List browser history entries
Query all remote machines
Get a remote machine by id
Query all web host resources
Get a web host resource by id
Data & IP
Query database exfiltration events
List file delete events
List file movement activities
Get file movement activity by id
List files used with data exfiltration.
Get a specific data exfiltration file
List git events
Get a specific git event by id
List git repositories
Get a specific git repository
List file sharing instances
Query database share grants
Query database share user additions
List documents
Get document by id
List DLP policies
Get a DLP policy by id
List DLP policy detectors
Query all DLP alerts
Get a DLP alert by id
Device
List devices
Get a device
List device applications
Get a device application
Query device application instances.
List device infections
Get a device infection
List device policies
Get a device policy
List USB device connection events
Get a USB connection event
List IDE applications
Get an IDE application
Query IDE application instances.
Email
Query all outbound email events
Get an outbound email event by id
Query all phishing interactions
Company
List groups
Query all people
Get departure analysis for a person
Get a person by id
Add a category to multiple people
Remove a category from multiple people
Get company risk trends
Get number of high risk organizations
SaaS
Query all Shadow IT instances
Outreach
List training campaigns
Create a training campaign
API Key
Get API key information
Advanced
Copy Page
Receive a webhook event
POST
/webhooks/{source}/{tenant}
Try it
Run in Apidog
Run in Apidog
Receive webhook events from third-party sources.
Request
Authorization
Path Params
Generate Code
Body Params
application/json
Required
Generate Code
Examples
Responses
🟢
200
OK
application/json
Webhook received
Body
application/json
Generate Code
ðŸŸ
401
Unauthorized
ðŸŸ
403
Forbidden
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
'/webhooks//'
\
--header
'Content-Type: application/json'
\
--data
'{}'
Response
Response Example
{
}
Modified atÂ
2026-10-20 18:32:30
Previous
List security events
Next
Query raw events